%define real_name	ocamlsdl
%define name		ocaml-SDL
%define version		0.7.2
%define release		%mkrel 6
%define ocaml_sitelib %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)/site-lib

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
License:	LGPL
Source:		http://belnet.dl.sourceforge.net/sourceforge/ocamlsdl/%{real_name}-%{version}.tar.bz2
Patch0:		ocamlsdl-0.7.2.install-destdir.patch
Group:		Development/Other
URL:		http://ocamlsdl.sourceforge.net/
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	libncurses-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-lablgl-devel
BuildRequires:  findlib
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%package -n %{name}-devel
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
Group:		Development/Other
Provides:	%{real_name} = %{version}-%{release}
Requires:	libSDL-devel
Requires:	libSDL_image-devel
Requires:	libSDL_mixer-devel
Requires:	libSDL_ttf-devel
Requires:	libpng-devel

%description
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%description -n %{name}-devel
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{ocaml_sitelib}
install -d %{buildroot}%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}"
mkdir -p %{buildroot}/%{_infodir}
install doc/*.info* %{buildroot}/%{_infodir}

%clean
rm -rf %{buildroot}

%post -n %{name}-devel
%_install_info ocamlsdl.info

%preun -n %{name}-devel
%_remove_install_info ocamlsdl.info

%files -n %{name}-devel
%defattr(-, root, root)
%doc README AUTHORS META NEWS doc/* 
%{_libdir}/ocaml/*
%{_infodir}/*


%changelog
* Sun Dec 27 2009 Texstar <texstar at gmail.com> 0.7.2-6pclos2010
- rebuild

